# Card Orders

With this set of APIs, you will be able to create cards for your customers. You can also retrieve and view the status of your current card orders, as well as the list of available card programs for the user.
On production, each personal profile can order at most 1 physical card and 3 virtual cards. On sandbox, we allow up to 10 physical cards and 30 virtual cards for testing purpose. However, no more than 3 virtual cards can be ordered per day. This limit includes cards and card orders.
Card order status flow 
The card order response will contain the `status` field. The initial status is `PLACED` or `REQUIREMENTS_FULFILLED` depending on the requirement fulfillment state:
- `PLACED` - The card order is created. The card will be generated once it has fulfilled all the requirements
- `REQUIREMENTS_FULFILLED` - The card order has fulfilled all the requirements and the card should be generated in a short while
- `CARD_DETAILS_CREATED` - The card has been generated
- `PRODUCED` - The physical card has been produced and waiting to be picked up by delivery vendor (physical card only)
- `COMPLETED` - The card has been activated and is ready to use. The card order is completed
- `CANCELLED` - The card order has been cancelled. This can happen if you reach out to Wise Support to cancel a card order
- `RETURNED` - Delivery failed, the physical card has been returned and will be blocked (physical card only)

![Card order status state machine](/images/diagrams/card-order-status-flow.png)

 - [Card Order](https://docs.wise.com/api-reference/legacy/card-order/cardorder.md): Schema: #/components/schemas/CardOrder
 - [POST /twcard-data/v1/sensitive-card-data/preset-pin](https://docs.wise.com/api-reference/legacy/card-order/cardorderpresetpin.md): Sets a PIN during the card order flow. This endpoint will be accessible for partners that require to set a PIN during the card order flow. Please follow [this guide](/guides/product/issue-cards/sensit
 - [POST /v3/spend/profiles/{profileId}/card-orders](https://docs.wise.com/api-reference/legacy/card-order/cardordercreate.md): Creates a new card order. The `program` field value is retrieved from the [retrieve all card programs](/api-reference/legacy/card-order/cardorderprogramsget) endpoint. This request requires an extra f
 - [GET /v3/spend/profiles/{profileId}/card-orders](https://docs.wise.com/api-reference/legacy/card-order/cardorderlist.md): Retrieves a list of card orders created for the specified `profileId`.
 - [GET /v3/spend/profiles/{profileId}/card-orders/{cardOrderId}](https://docs.wise.com/api-reference/legacy/card-order/cardorderget.md): Retrieves a card order based on the `cardOrderId`.
 - [GET /v3/spend/profiles/{profileId}/card-orders/availability](https://docs.wise.com/api-reference/legacy/card-order/cardorderprogramsget.md): Retrieves the list of available card programs for each `profileId`.
 - [GET /v3/spend/profiles/{profileId}/card-orders/{cardOrderId}/requirements](https://docs.wise.com/api-reference/legacy/card-order/cardorderrequirementsget.md): Retrieves all card requirements for a `cardOrderId`. A valid card order needs all its requirements status to be `COMPLETED`. The type of requirements are: - `PIN (optional)`: [Set a PIN](/api-referenc
 - [PUT /v3/spend/profiles/{profileId}/card-orders/{cardOrderId}/status](https://docs.wise.com/api-reference/legacy/card-order/cardorderstatusupdate.md): Updates the status of a card order based on its `cardOrderId`. The status can be updated to one of the following: 1. `CANCELLED` 2. `COMPLETED` (deprecated) The behaviour for card order cancellation
 - [POST /v3/spend/address/validate](https://docs.wise.com/api-reference/legacy/card-order/cardordervalidateaddress.md): Validates the format of an address for a card order. Make sure to follow country-specific address fields and validation as described in the [card address validation guide](/guides/developer/api-guides
 - [POST cards#card-order-status-change](https://docs.wise.com/api-reference/legacy/card-order/eventcardscardorderstatuschange.md): This event is triggered every time a card order status is updated. Statuses depend on the type of card (virtual/physical). Additional statuses related to delivery exist for physical cards. * Event typ
